ServerEndpointConfig.Builder (WebSocket 1.1 API Documentation - Apache Tomcat 8.5.78)

Package javax.websocket.server

## Class ServerEndpointConfig.Builder

- java.lang.Object
- - javax.websocket.server.ServerEndpointConfig.Builder

- Enclosing interface:
    ServerEndpointConfig

      public static final class ServerEndpointConfig.Builder
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServerEndpointConfig` | `build()` |
    `ServerEndpointConfig.Builder` | `configurator​(ServerEndpointConfig.Configurator serverEndpointConfigurator)` |
    `static ServerEndpointConfig.Builder` | `create​(java.lang.Class<?> endpointClass, java.lang.String path)` |
    `ServerEndpointConfig.Builder` | `decoders​(java.util.List<java.lang.Class<? extends Decoder>> decoders)` |
    `ServerEndpointConfig.Builder` | `encoders​(java.util.List<java.lang.Class<? extends Encoder>> encoders)` |
    `ServerEndpointConfig.Builder` | `extensions​(java.util.List<Extension> extensions)` |
    `ServerEndpointConfig.Builder` | `subprotocols​(java.util.List<java.lang.String> subprotocols)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ServerEndpointConfig.Builder create​(java.lang.Class<?> endpointClass,
                                                            java.lang.String path)

    - #### build

          public ServerEndpointConfig build()

    - #### encoders

          public ServerEndpointConfig.Builder encoders​(java.util.List<java.lang.Class<? extends Encoder>> encoders)

    - #### decoders

          public ServerEndpointConfig.Builder decoders​(java.util.List<java.lang.Class<? extends Decoder>> decoders)

    - #### subprotocols

          public ServerEndpointConfig.Builder subprotocols​(java.util.List<java.lang.String> subprotocols)

    - #### extensions

          public ServerEndpointConfig.Builder extensions​(java.util.List<Extension> extensions)

    - #### configurator

          public ServerEndpointConfig.Builder configurator​(ServerEndpointConfig.Configurator serverEndpointConfigurator)